{% extends "base.html" %} {% load static %}{% block title %}
<h1>Evaluación de Proyecto - Semana </h1>{% endblock title %} {% block css %}
<link href="{% static 'css/wizard.css' %}" rel="stylesheet">
<link href="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.css" rel="stylesheet"> {% endblock css %} {% block content %}


<div class="row animated fadeIn">
    <!-- flight section -->
{% if tipo == "0" %}
    <div id="main">
        <hr>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <header class="card-heading card-blue">
                        <h2 class="card-title">Sesión {{evaluacion.session.number}}: Semana</h2>
                    </header>
                    <div class="card-body">
                        <div class="row" id="topic_week{{evaluacion.session.week.pk}}">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label" for="id_tematica{{evaluacion.session.week.pk}}">Temática
                                        de la semana</label>
                                    <input class=" form-control" value="{{evaluacion.session.week.topic}}" disabled id="id_tematica{{evaluacion.session.week.pk}}"
                                        name="tematica" required="" type="text">
                                </div>
                            </div>
                        </div>
                        <hr>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <header class="card-heading card-accent">
                                        <h2 class="card-title">Objetivos de aprendizaje</h2>
                                    </header>
                                    <div class="card-body">
                                        <div class="project-list">
                                            <form id="objetivos">
                                                <table class="table table-bordered" data-page-size="5" data-filter=#filter>
                                                    <thead>
                                                        <tr>
                                                            <th class="col-md-9">Objetivo</th>
                                                            <th class="col-md-2 text-center">Porcentaje</th>
                                                            <th class="col-md-1 text-center">Nota</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="objetive_table{{evaluacion.session.week.pk}}">
                                                        {% for objective in evaluacion.objetiveevaluation_set.all %}
                                                        <tr id="obj{{objective.evaluation.pk}}">
                                                            <td style="vertical-align:middle" class="col-md-9">{{objective.evaluation.name}}</td>
                                                            <td style="vertical-align:middle" class="text-center col-md-2">{{objective.evaluation.percentage}}%</td>
                                                            <td style="vertical-align:middle" class="text-center col-md-1">
                                                                {% if editable and evaluacion.status == "BO" %}
                                                                <div class="form-input is-empty" style="margin-top:0px">
                                                                    <input name="objective{{objective.pk}}" class="form-control input-mask"
                                                                        data-mask="0,0" placeholder="ej: 0,0"
                                                                        autocomplete="off" maxlength="3" type="text" value="{{objective.nota}}">
                                                                </div>
                                                                {% else %}
                                                                <p>{{objective.nota}}</p>
                                                                {% endif %}
                                                            </td>
                                                        </tr>
                                                        {% endfor %}
                                                    </tbody>
                                                </table>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <header class="card-heading card-blue">
                                        <h2 class="card-title">Avances de producto</h2>
                                    </header>
                                    <div class="card-body">
                                        <div class="project-list">
                                            <form id="avances">
                                                <table class="table table-bordered" data-page-size="5" data-filter=#filter>
                                                    <thead>
                                                        <tr>
                                                            <th class="col-md-9">Avance</th>
                                                            <th class="col-md-2 text-center">Porcentaje</th>
                                                            <th class="col-md-1 text-center">Nota</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="progress_table{{evaluacion.session.week.pk}}">
                                                        {% for progress in evaluacion.progressevaluation_set.all %}
                                                        <tr id="ava{{progress.evaluation.pk}}">
                                                            <td class="col-md-9">{{progress.evaluation.name}}</td>
                                                            <td class="col-md-2 text-center" style="vertical-align:middle">{{progress.evaluation.percentage}}%</td>
                                                            <td class="col-md-1 text-center" style="vertical-align:middle">
                                                                {% if editable and evaluacion.status == "BO" %}
                                                                <div class="form-input is-empty" style="margin-top:0px">
                                                                    <input name="progress{{progress.pk}}" class="form-control input-mask"
                                                                        data-mask="0,0" placeholder="ej: 0,0"
                                                                        autocomplete="off" maxlength="3" type="text" value="{{progress.nota}}">
                                                                </div>
                                                                {% else %}
                                                                <p>{{progress.nota}}</p>
                                                                {% endif %}
                                                            </td>
                                                        </tr>
                                                        {% endfor %}
                                                    </tbody>
                                                </table>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <header class="card-heading card-yellow">
                                        <h2 class="card-title">Actividades Semanales</h2>
                                    </header>
                                    <div class="card-body">
                                        <div class="project-list">
                                            <form id="actividades">
                                                <table class="table table-bordered" data-page-size="5" data-filter=#filter>
                                                    <thead>
                                                        <tr>
                                                            <th class="col-md-9">Actividad</th>
                                                            <th class="col-md-2 text-center">Porcentaje</th>
                                                            <th class="col-md-1 text-center">Nota</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="activity_table{{evaluacion.session.week.pk}}">
                                                        {% for activity in evaluacion.activityevaluation_set.all %}
                                                        <tr id="act{{activity.evaluation.pk}}">
                                                            <td class="col-md-9">{{activity.evaluation.name}}</td>
                                                            <td class="col-md-2 text-center" style="vertical-align:middle">{{activity.evaluation.percentage}}%</td>
                                                            <td class="col-md-1 text-center" style="vertical-align:middle">
                                                                {% if editable and evaluacion.status == "BO" %}
                                                                <div class="form-input is-empty" style="margin-top:0px">
                                                                    <input name="activity{{activity.pk}}" class="form-control input-mask"
                                                                        data-mask="0,0" placeholder="ej: 0,0"
                                                                        autocomplete="off" maxlength="3" type="text" value="{{activity.nota}}">
                                                                </div>
                                                                {% else %}
                                                                <p>{{activity.nota}}</p>
                                                                {% endif %}
                                                            </td>
                                                        </tr>
                                                        {% endfor %}
                                                    </tbody>
                                                </table>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="comments" class="row">
        <div class="card">
            <header class="card-heading card-blue">
                <h2 class="card-title">Comentarios de la evaluación</h2>
            </header>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="asignaturas">Comentario Avance del Producto:</label>
                            {% if editable and evaluacion.status == "BO" %}
                            <textarea class="summernote form-control" cols="40" id="comment_progress" name="avances" rows="5">{{evaluacion.comment_progress |safe}}</textarea>
                            {% else %}
                            <p>{{evaluacion.comment_progress |safe}}</p>
                            {% endif %}
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="asignaturas">Comentario Cumplimiento de Compromisos:</label>
                            {% if editable and evaluacion.status == "BO" %}
                            <textarea class="summernote form-control" cols="40" id="comment_accomplishment" name="compromisos" rows="5">{{evaluacion.comment_accomplishment |safe}}</textarea>
                            {% else %}
                            <p>{{evaluacion.comment_accomplishment |safe}}</p>
                            {% endif %}
                        </div>
                    </div>
                    <div class="col-md-12">
                        <div class="form-group">
                            <label for="asignaturas">Comentario Actividades Semanales:</label>
                            {% if editable and evaluacion.status == "BO" %}
                            <textarea class="summernote form-control" cols="40" id="comment_activity" name="actividades" rows="5">{{evaluacion.comment_activity |safe}}</textarea>
                            {% else %}
                            <p>{{evaluacion.comment_activity |safe}}</p>
                            {% endif %}
                        </div>
                    </div>
                </div>
                <button class="btn btn-block btn-primary evaluar">Confirmar</button>
            </div>
        </div>
    </div>
</div>
{% elif tipo == "1" %}
    <div id="main">
        <hr>
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <header class="card-heading card-yellow">
                        <h2 class="card-title">Sesión {{evaluacion.session.number}}: Hito </h2>
                    </header>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <header class="card-heading card-blue">
                                        <h2 class="card-title">Evaluación Técnica</h2>
                                    </header>
                                    <div class="card-body">
                                        <div class="project-list">
                                            <form id="tecnicas">
                                                <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                    <thead>
                                                        <tr>
                                                            <th class="col-md-9">Ítem</th>
                                                            <th class="col-md-2">Porcentaje</th>
                                                            <th class="col-md-1">Nota</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="technique_table{{evaluacion.session.hito.pk}}">
                                                        {% for technique in evaluacion.techniqueevaluation_set.all %}
                                                        <tr>
                                                            <td class="col-md-9">{{technique.technique.item}}</td>
                                                            <td class="col-md-2">{{technique.technique.percentage}}%</td>
                                                            <td class="col-md-1">
                                                                {% if editable and evaluacion.status == "BO" %}
                                                                <div class="form-group is-empty" style="margin-top:0px">
                                                                    <input name="technique{{technique.pk}}" class="form-control input-mask"
                                                                    data-mask="0,0" placeholder="ej: 0,0" autocomplete="off"
                                                                    maxlength="3" type="text" value="{{technique.nota}}">
                                                                </div>
                                                                {% else %}
                                                                <p>{{technique.nota}}</p>
                                                                {% endif %}
                                                            </td>
                                                        </tr>
                                                        {% endfor %}
                                                    </tbody>
                                                </table>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <header class="card-heading card-accent">
                                        <h2 class="card-title">Evaluación Presentación</h2>
                                    </header>
                                    <div class="card-body">
                                        <div class="project-list">
                                            <form id="presentaciones">
                                                <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                    <thead>
                                                        <tr>
                                                            <th class="col-md-4">Tópico</th>
                                                            <th class="col-md-5">Subtópico</th>
                                                            <th class="col-md-2">Porcentaje</th>
                                                            <th class="col-md-1">Nota</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="presentation_table{{evaluacion.session.hito.pk}}">
                                                        {% for presentation in evaluacion.presentationevaluation_set.all %}
                                                        <tr>
                                                            <td class="col-md-4">{{presentacion.topic.name}}</td>
                                                            <td class="col-md-5">{{presentation.presentation.name}}</td>
                                                            <td class="col-md-2">{{presentation.presentation.percentage}}%</td>
                                                            <td class="col-md-1">
                                                                {% if editable and evaluacion.status == "BO" %}
                                                                <div class="form-group is-empty" style="margin-top:0px">
                                                                    <input name="presentation{{presentation.pk}}" class="form-control input-mask"
                                                                        data-mask="0,0" placeholder="ej: 0,0" autocomplete="off"
                                                                        maxlength="3" type="text" value="{{presentation.nota}}">
                                                                </div>
                                                                {% else %}
                                                                <p>{{presentation.nota}}</p>
                                                                {% endif %}
                                                            </td>
                                                        </tr>
                                                        {% endfor %}
                                                    </tbody>
                                                </table>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="card">
                                    <header class="card-heading card-blue">
                                        <h2 class="card-title">Evaluación Memoria</h2>
                                    </header>
                                    <div class="card-body">
                                        <div class="project-list">
                                            <form id="memorias">
                                                <table class="table table-stripped" data-page-size="5" data-filter=#filter>
                                                    <thead>
                                                        <tr>
                                                            <th class="col-md-9">Ítem</th>
                                                            <th class="col-md-2">Porcentaje</th>
                                                            <th class="col-md-1">Nota</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="memory_table{{evaluacion.session.hito.pk}}">
                                                        {% for memory in evaluacion.memoryevaluation_set.all %}
                                                        <tr style="vertical-align: middle">
                                                            <td class="col-md-9">{{memory.memory.item}}</td>
                                                            <td class="col-md-2">{{memory.memory.percentage}}%</td>
                                                            <td class="col-md-1">
                                                                {% if editable and evaluacion.status == "BO" %}
                                                                <div class="form-group is-empty" style="margin-top:0px">
                                                                    <input name="memory{{memory.pk}}" class="form-control input-mask"
                                                                        data-mask="0,0" placeholder="ej: 0,0" autocomplete="off"
                                                                        maxlength="3" type="text" value="{{memory.nota}}">
                                                                </div>
                                                                {% else %}
                                                                <p>{{memory.nota}}</p>
                                                                {% endif %}
                                                            </td>
                                                        </tr>
                                                        {% endfor %}
                                                    </tbody>
                                                </table>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div id="comments" class="row">
    <div class="card col-md-12 col-sm-12 col-xs-12">
        <header class="card-heading card-blue">
            <h2 class="card-title">Comentarios de la evaluación</h2>
        </header>
        <div class="card-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="asignaturas">Comentario Avance del Producto:</label>
                        <textarea class="summernote form-control" cols="40" id="comment_progress" name="avances" rows="5">{{evaluacion.comment_progress |safe}}></textarea>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="asignaturas">Comentario Cumplimiento de Compromisos:</label>
                        <textarea class="summernote form-control" cols="40" id="comment_accomplishment" name="compromisos" rows="5">{{evaluacion.comment_accomplishment |safe}}></textarea>
                    </div>
                </div>
                <div class="col-md-12">
                    <div class="form-group">
                        <label for="asignaturas">Comentario Actividades Semanales:</label>
                        <textarea class="summernote form-control" cols="40" id="comment_activity" name="actividades" rows="5" >{{evaluacion.comment_activity |safe}}</textarea>
                    </div>
                </div>
            </div>
            <button class="btn btn-block btn-primary evaluar_hito">Evaluar</button>
        </div>
    </div>
    </div>
</div>
{% endif %}

{% endblock content %} {% block javascript %}
<script src="https://unpkg.com/sweetalert2@7.20.7/dist/sweetalert2.all.js"></script>
<script src="https://cdn.jsdelivr.net/npm/jquery-validation@1.17.0/dist/jquery.validate.js"></script>
<script src="http://cdnjs.cloudflare.com/ajax/libs/summernote/0.8.4/summernote.js"></script>
<script>
    $(document).ready(function () {
        function evaluar_hito() {
            console.log("ESTE ES EL ESTADO DE FINAL: ");
            console.log("{{evaluacion.session.hito.final}}");
            var memory = $('#memorias').serializeArray();
            var presentation = $('#presentaciones').serializeArray();
            var technique = $('#tecnicas').serializeArray();
            var len_mem = memory.length;
            var len_pre = presentation.length;
            var len_tech = technique.length;
            var comment_progress = $("#comment_progress").val();
            var comment_accomplishment = $("#comment_accomplishment").val();
            var comment_activity = $("#comment_activity").val();
            data = {
                memorias: memory,
                presentaciones: presentation,
                tecnicas: technique,
                comment_activity: comment_activity,
                comment_progress: comment_progress,
                comment_accomplishment: comment_accomplishment,
                len_mem: len_mem,
                len_pre: len_pre,
                len_tech: len_tech,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            };
            console.log(data);
            $.post("{% url 'update_evaluation' %}", data, function (response) {
                swal({
                    title: "Exelente!",
                    text: "Alumno Evaluado con Exito."
                })
                    .then((value) => {
                        window.location.href = '{% url "tesista_details" evaluacion.project.pk %}';
                    });
            });
        }
        function evaluar() {
            var objetivos = $('#objetivos').serializeArray();
            var avances = $('#avances').serializeArray();
            var actividades = $('#actividades').serializeArray();
            var len_obj = objetivos.length;
            var len_act = actividades.length;
            var len_pro = avances.length;
            var comment_progress = $("#comment_progress").val();
            var comment_accomplishment = $("#comment_accomplishment").val();
            var comment_activity = $("#comment_activity").val();
            data = {
                objetivos: objetivos,
                avances: avances,
                actividades: actividades,
                comment_activity: comment_activity,
                comment_progress: comment_progress,
                comment_accomplishment: comment_accomplishment,
                len_obj: len_obj,
                len_act: len_act,
                len_pro: len_pro,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            };
            console.log(data);
            $.post("{% url 'update_evaluation' %}", data, function (response) {
                swal({
                    title: "Exelente!",
                    text: "Alumno Evaluado con Exito."
                })
                    .then((value) => {
                        window.location.href = '{% url "tesista_details" evaluacion.project.pk %}';
                   });
            });
        };
        $(".evaluar").on("click", evaluar);

        $(".evaluar_hito").on("click", evaluar_hito);
    
        $(".summernote").each(function(){
            $(this).summernote();
        })
    });



</script> {% endblock javascript %}